Download it now!
Bug 92806 - FORMATTING: register-true setting not updated from template on "Update Styles"
Summary: FORMATTING: register-true setting not updated from template on "Update Styles"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2015-07-17 17:17 UTC by Michael Fiedler
Modified: 2019-12-14 03:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Fiedler 2015-07-17 17:17:24 UTC
Steps to reproduce:

1. Create a new template: Open a new Writer document and save it as a template using File > Templates > Save as Template...  Now close it.
2. Create a new document from that template using File > New > Templates...
3. Save the new document and close it
4. Edit the template from 1. using File > Templates > Manage... in the following manner: Activate Page > Layout Settings > Register-true (Reference Style: Text Body) (right click into the page > Page... to get to the page style settings).  Close the template file.
5. Open the document from 2./3. again.  LibreOffice asks you "The template 'Neu' on which this document is based, has been modified. Do you want to update style based formatting according to the modified template?", Click "Update Styles".
6. Go to the page style settings for the document and check whether Register-true is activated


Actual behaviour:

Register-true was not changed by "Update Styles"


Expected behaviour:

Register-true should now be activated.


Environment used:

LibreOffice 4.4.4.3-3
Debian GNU/Linux 7.8 (wheezy) (x86)


Note:

Changing other page style settings such as the borders work as expected.
Comment 1 Michael Fiedler 2015-07-17 18:25:21 UTC
LibreOffice 3.5.4.2 (from Debian) is also affected.
Comment 2 Buovjaga 2015-07-29 19:50:46 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+ (x64)
Build ID: e92a8b92072284fd7c37d7bb3e1e8fe72a185f35
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-22_21:46:26
Locale: fi-FI (fi_FI)
Comment 3 QA Administrators 2016-09-20 10:20:46 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-14 03:41:03 UTC
Dear Michael Fiedler,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug